Package fr.gouv.vitam.common.database.builder.query.action

# Class Action

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action

Direct Known Subclasses:
  `AddAction`, `IncAction`, `MaxAction`, `MinAction`, `PopAction`, `PullAction`, `PushAction`, `RenameAction`, `SetAction`, `SetregexAction`, `UnsetAction`

public class Action extends Object
Action component

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected com.fasterxml.jackson.databind.node.ObjectNode`
  `currentAction`
  `protected com.fasterxml.jackson.databind.JsonNode`
  `currentObject`
  `protected BuilderToken.UPDATEACTION`
  `currentUPDATEACTION`
  `protected boolean`
  `ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Action()`
  Empty constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clean()`
  Clean the object
  `protected final void`
  `createActionValueArrayVariable(BuilderToken.UPDATEACTION action, String variableName)`
  `protected final void`
  `createActionVariables(BuilderToken.UPDATEACTION action, String... variableNames)`
  `protected final void`
  `createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, boolean value)`
  `protected final void`
  `createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, double value)`
  `protected final void`
  `createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, long value)`
  `protected final void`
  `createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, String value)`
  `protected final void`
  `createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, Date value)`
  `protected final void`
  `createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, List<?> value)`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getCurrentAction()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getCurrentObject()`
  `BuilderToken.UPDATEACTION`
  `getUPDATEACTION()`
  `boolean`
  `isReady()`
  `protected void`
  `setReady(boolean ready)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### currentAction

    protected com.fasterxml.jackson.databind.node.ObjectNode currentAction

  - ### currentObject

    protected com.fasterxml.jackson.databind.JsonNode currentObject

  - ### currentUPDATEACTION

    protected BuilderToken.UPDATEACTION currentUPDATEACTION

  - ### ready

    protected boolean ready

- ## Constructor Details

  - ### Action

    protected Action()
    Empty constructor

- ## Method Details

  - ### createActionValueArrayVariable

    protected final void createActionValueArrayVariable(BuilderToken.UPDATEACTION action, String variableName) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariables

    protected final void createActionVariables(BuilderToken.UPDATEACTION action, String... variableNames) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariableValue

    protected final void createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, long value) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariableValue

    protected final void createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, double value) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariableValue

    protected final void createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, String value) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariableValue

    protected final void createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, List<?> value) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariableValue

    protected final void createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, boolean value) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### createActionVariableValue

    protected final void createActionVariableValue(BuilderToken.UPDATEACTION action, String variableName, Date value) throws InvalidCreateOperationException
    Throws:
      `InvalidCreateOperationException`

  - ### clean

    public void clean()
    Clean the object

  - ### getCurrentAction

    public com.fasterxml.jackson.databind.node.ObjectNode getCurrentAction()
    Returns:
      the currentAction

  - ### getCurrentObject

    public com.fasterxml.jackson.databind.JsonNode getCurrentObject()
    Returns:
      the currentObject

  - ### getUPDATEACTION

    public BuilderToken.UPDATEACTION getUPDATEACTION()
    Returns:
      the current UPDATEACTION

  - ### isReady

    public boolean isReady()
    Returns:
      the ready

  - ### setReady

    protected void setReady(boolean ready)
    Parameters:
      `ready` - the ready to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`